Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-opener
Version:        1.4.1
Release:        alt1_7
Summary:        Opens stuff, like webpages and files and executables

License:        WTFPL
URL:            https://github.com/domenic/opener
Source0:        http://registry.npmjs.org/opener/-/opener-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
Opens stuff, like webpages and files and executables, cross-platform.


%prep
%setup -q -n package

#get rid of DOS EOLs
sed -i "s|\r||g" LICENSE.txt README.md


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/opener
cp -pr package.json opener.js %{buildroot}%{nodejs_sitelib}/opener

chmod 0755 %{buildroot}%{nodejs_sitelib}/opener/opener.js

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/opener/opener.js %{buildroot}%{_bindir}/opener


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"


%files
%doc README.md
%doc --no-dereference LICENSE.txt
%{nodejs_sitelib}/opener
%{_bindir}/opener


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_8
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_7
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_5
- initial import

